SDL_SetAtomicInt(3)

NAME
SDL_SetAtomicInt - Set an atomic variable to a value.

SYNOPSIS
#include <SDL3/SDL_atomic.h>

int SDL_SetAtomicInt(SDL_AtomicInt *a, int v);

DESCRIPTION
This function also acts as a full memory barrier.

Note: If you don't know what this function is for, you shouldn't use it!

FUNCTION PARAMETERS

a   a pointer to an SDL_AtomicInt variable to be modified.

v   the desired value.

RETURN VALUE
Returns the previous value of the atomic variable.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetAtomicInt(3)